Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7446 - RPM and/or DB's horribly broken.
Summary: RPM and/or DB's horribly broken.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-30 15:46 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-30 16:13:18 UTC


Attachments (Terms of Use)

Description Pekka Savola 1999-11-30 15:46:35 UTC
I don't know exactly what is the reason for this bug, but I assume it's
either RPM or its databases.

I upgraded to the newest rawhide (1128) from the one a few days back and
all hell broke loose (e.g. the latest make RPM):

----
# rpm -Uvh make-3.78.1-1.i386.rpm
error: failed dependencies:
        /sbin/install-info   is needed by make-3.78.1-1
        /bin/sh   is needed by make-3.78.1-1
----

Every RPM complains about basic stuff like /bin/sh,chkconfig etc. - those
files are alive and well.

Also, RPM installs every configuration file (when upgrading) as .rpmorig or
.rpmnew, no matter the contents of earlier files.

For example:
----
# dir  /etc/*.rpm* | wc -l
     49
----
Of which almost all are just the same files as before.

Some more info:
----
# rpm -q rpm
rpm-3.0.4-0.1

# rpm -V rpm
Unsatisfied dependencies for rpm-3.0.4-0.1: /bin/sh  , /bin/bash, /bin/sh,
/usr/bin/perl

# dir /var/lib/rpm
total 6723
drwxr-xr-x   2 root     root         1024 Feb 15  1996 ./
drwxr-xr-x  12 root     root         1024 Nov 30 17:30 ../
-rw-r--r--   1 root     root        16384 Nov 30 17:44 conflictsindex.rpm
-rw-r--r--   1 root     root      1302528 Nov 30 17:44 fileindex.rpm
-rw-r--r--   1 root     root        16384 Nov 30 17:44 groupindex.rpm
-rw-r--r--   1 root     root        16384 Nov 30 17:44 nameindex.rpm
-rw-r--r--   1 root     root      5634504 Nov 30 17:31 packages.rpm
-rw-r--r--   1 root     root        49152 Nov 30 17:44 providesindex.rpm
-rw-r--r--   1 root     root        49152 Nov 30 17:44 requiredby.rpm
-rw-r--r--   1 root     root        16384 Nov 30 17:44 triggerindex.rpm
----

Comment 1 Jeff Johnson 1999-11-30 16:13:59 UTC
Go back to rpm-3.0.3.

Comment 2 Pekka Savola 1999-11-30 17:46:59 UTC
'NOTABUG'?

Would you please explain how this can not be a bug?  I saw nothing relating to
this in RPM ChangeLog, and having a program break up the entire system
qualifies as a bug to me.

Comment 3 Jeff Johnson 1999-11-30 17:54:59 UTC
Because I'm currently in the process of fixing it. Go back to rpm-3.0.3 ...

Comment 4 maavl 1999-12-01 15:35:59 UTC
I've witnessed similar phenomena when upgrading rpm to version 3.0.3-2 provided
with RedHat 6.1, but they went away after doing "rpm --rebuilddb" (or "rpm
--initdb"; I can't remember the difference because the man page explains none).
I can also mention that inthis case after upgrading rpm I was unable to
downgrade to the previous version of rpm, because all kinds of packages were
claimed to depend (already!!) on the just installed version.

Comment 5 Jeff Johnson 1999-12-01 15:53:59 UTC
Problems in rpm-3.0.4 have nothing to do with rpm-3.0.3.

rpm --initdb creates the files in the package database if they were
not already present.
rpm --rebuilddb insures that the chain of headers from all installed
packages is intact. An important side effect is that all the headers
will be contigous.

Rpm-3.0.3 introduced fully versioned (not just requires/conflicts) dependencies.
This incompatible change is handled, in packages that make use of it, by
adding a dependency on the version of rpm that understands fully versioned
dependencies.


Note You need to log in before you can comment on or make changes to this bug.